#
# Conditional build:
%bcond_without	doc	# Sphinx documentation
%bcond_without	tests	# unit tests

%define		module	mock
Summary:	Rolling backport of unittest.mock for all Pythons
Summary(pl.UTF-8):	Podążający backport modułu unittest.mock dla wszystkich wersji Pythona
Name:		python3-%{module}
Version:	4.0.3
Release:	4
License:	BSD
Group:		Development/Languages/Python
##Source0Download: https://pypi.org/simple/mock/
#Source0:	https://files.pythonhosted.org/packages/source/m/mock/%{module}-%{version}.tar.gz
# pypi dist misses docs and tests, use github archive
#Source0Download: https://github.com/testing-cabal/mock/releases
Source0:	https://github.com/testing-cabal/mock/archive/%{version}/%{module}-%{version}.tar.gz
# Source0-md5:	d2a1233e27b830742ad8f6999f3573c0
URL:		http://python-mock.sourceforge.net/
BuildRequires:	python3-modules >= 1:3.6
BuildRequires:	python3-setuptools >= 1:17.1
%if %{with tests}
BuildRequires:	python3-pytest
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
%if %{with doc}
BuildRequires:	sphinx-pdg-3
%endif
Requires:	python3-modules >= 1:3.6
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
mock is a library for testing in Python. It allows you to replace
parts of your system under test with mock objects and make assertions
about how they have been used.

mock provides a core `MagicMock` class removing the need to create a
host of stubs throughout your test suite. After performing an action,
you can make assertions about which methods/attributes were used and
arguments they were called with. You can also specify return values
and set needed attributes in the normal way.

The mock module also provides utility functions/objects to assist with
testing, particularly monkey patching.

%description -l pl.UTF-8
mock to biblioteka do testowania w Pythonie. Pozwala na zastępowanie
części testowanego systemu obiektami "mock" oraz sprawdzania zapewnień
(assert) o tym, jak zostały użyte.

mock udostępnia klasę główną "MagicMock", dzięki której nie trzeba
tworzyć systemu zaślepek do testów. W czasie wykonywania akcji można
kontrolować, czy odpowiednie metody/atrybuty zostały użyte i z jakimi
argumentami. Można określić zwracane wartości i w zwykły sposób
ustawiać potrzebne atrybuty.

Moduł mock udostępnia także funkcje/obiekty narzędziowe pomagające
przy testowaniu, w szczególności łataniu.

%package apidocs
Summary:	API documentation for mock module
Summary(pl.UTF-8):	Dokumentacja API modułu mock
Group:		Documentation

%description apidocs
API documentation for mock module.

%description apidocs -l pl.UTF-8
Dokumentacja API modułu mock.

%prep
%setup -q -n %{module}-%{version}

%build
%py3_build

%if %{with tests}
# disable plugins (e.g. pytest-mock) to avoid changing assert output
PYTEST_DISABLE_PLUGIN_AUTOLOAD=1 \
%{__python3} -m pytest mock/tests
%endif

%if %{with doc}
PYTHONPATH=. sphinx-build-3 -b html docs html
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGELOG.rst LICENSE.txt README.rst
%{py3_sitescriptdir}/mock
%{py3_sitescriptdir}/%{module}-%{version}-py*.egg-info

%if %{with doc}
%files apidocs
%defattr(644,root,root,755)
%doc html/{_static,*.html,*.js}
%endif
%changelog
* Thu Mar 31 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-mock.git;a=log;h=auto/th/python3-mock-4.0.3-4

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> f849791
- rebuild with tests and docs

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> d8c6f14
- rebuild with python 3.10

* Thu Dec 16 2021 Jakub Bogusz <qboosh@pld-linux.org> 4e58742
- setuptools epoch

* Sat Feb 27 2021 Jan Rękorajski <baggins@pld-linux.org> 0d5b109
- release 2 (by relup.sh)

* Sun Jan 17 2021 Jakub Bogusz <qboosh@pld-linux.org> 999dae2
- six no longer needed

* Sun Jan 17 2021 Jakub Bogusz <qboosh@pld-linux.org> 5bb8711
- copied from python-mock.spec, updated to 4.0.3 (python 3.6+ now)

* Sun Jun 07 2020 Jakub Bogusz <qboosh@pld-linux.org> 8847a64
- updated to 3.0.5 (latest version supporting python 2.7)

* Tue Oct 29 2019 Jakub Bogusz <qboosh@pld-linux.org> 5515b7a
- pbr is required for setup

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 42d7dba
- rebuild with python 3.8
- release 4 (by relup.sh)

* Fri Jul 13 2018 Jakub Bogusz <qboosh@pld-linux.org> 32e3a44
- pbr and six buildrequired only for tests or doc

* Sun Jul 01 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 56aafe8
- release 3 (by relup.sh)

* Sat Apr 15 2017 Jan Rękorajski <baggins@pld-linux.org> efa3d2e
- fix building docs without installer package
- rel 2

* Sat Apr 15 2017 Jan Rękorajski <baggins@pld-linux.org> 8d6481b
- up to 2.0.0

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 3e5a3df
- python 3.6
- release 3 (by relup.sh)

* Wed Mar 16 2016 Jan Rękorajski <baggins@pld-linux.org> 46c9b55
- release 2 (by relup.sh)

* Mon Mar 07 2016 Jakub Bogusz <qboosh@pld-linux.org> 0d282d8
- updated to 1.3.0
- added tests bcond (but requires unittest2 even on python3)

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 9830114
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> adb0eb7
- release 6 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> ec928db
- automatic change: use py_build/py_install macros

* Sun Sep 13 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 56c80d1
- python 3.5 rebuild
- release 5 (by relup.sh)

